You are receiving this mail as a port that you maintain
is failing to build on the FreeBSD package build server.
Please investigate the failure and submit a PR to fix
build.

Maintainer:     hask...@freebsd.org
Last committer: ger...@freebsd.org
Ident:          $FreeBSD: branches/2014Q1/www/hs-happstack-server/Makefile 
331644 2013-10-26 00:52:33Z gerald $
Log URL:        
http://beefy1.isc.freebsd.org/bulk/10i386-quarterly/2013-12-16_15h18m40s/logs/hs-happstack-server-7.1.7.1_1.log
Build URL:      
http://beefy1.isc.freebsd.org/bulk/10i386-quarterly/2013-12-16_15h18m40s
Log:

====>> Building www/hs-happstack-server
build started at Mon Dec 16 22:46:51 UTC 2013
port directory: /usr/ports/www/hs-happstack-server
building for: FreeBSD 10i386-quarterly-job-12 10.0-RC1 FreeBSD 10.0-RC1 i386
maintained by: hask...@freebsd.org
Makefile ident:      $FreeBSD: branches/2014Q1/www/hs-happstack-server/Makefile 
331644 2013-10-26 00:52:33Z gerald $
Poudriere version: 3.1-pre

---Begin Environment---
UNAME_m=i386
UNAME_p=i386
OSVERSION=1000510
UNAME_v=FreeBSD 10.0-RC1
UNAME_r=10.0-RC1
BLOCKSIZE=K
MAIL=/var/mail/root
STATUS=1
MASTERMNT=/usr/local/poudriere/data/build/10i386-quarterly/ref
PKG_EXT=txz
tpid=60361
PATH=/sbin:/bin:/usr/sbin:/usr/bin:/usr/games:/usr/local/sbin:/usr/local/bin:/root/bin
POUDRIERE_BUILD_TYPE=bulk
PKGNG=1
PKGNAME=hs-happstack-server-7.1.7.1_1
PKG_DELETE=/usr/local/sbin/pkg-static delete -y -f
PKG_ADD=/usr/local/sbin/pkg-static add
PWD=/home/bdrewery
MASTERNAME=10i386-quarterly
USER=root
HOME=/root
POUDRIERE_VERSION=3.1-pre
LOCALBASE=/usr/local
PACKAGE_BUILDING=yes
PKG_VERSION=/poudriere/pkg-static version
PKG_BIN=/usr/local/sbin/pkg-static
---End Environment---

---Begin OPTIONS List---
===> The following configuration options are available for 
hs-happstack-server-7.1.7.1_1:
     DOCS=on: Build and/or install documentation
     DYNAMIC=on: Add support for dynamic linking
     HSCOLOUR=off: Colorize generated documentation by HsColour
     LLVM=off: Use the LLVM backend for code generation
     PROFILE=off: Add support for profiling
===> Use 'make config' to modify these settings
---End OPTIONS List---

--CONFIGURE_ARGS--
--libdir=/usr/local/lib/cabal/ghc-7.6.3 --libsubdir=happstack-server-7.1.7.1 
--with-gcc=gcc46 --with-ld=/usr/local/bin/ld --with-ar=/usr/local/bin/ar  
--with-ranlib=/usr/local/bin/ranlib --haddock-options=-w 
--with-haddock=/usr/local/bin/haddock --enable-shared 
--enable-executable-dynamic "--ghc-option=-optl -rpath" "--ghc-option=-optl 
/usr/local/lib/cabal/ghc-7.6.3/happstack-server-7.1.7.1" 
--disable-executable-profiling --disable-library-profiling
--End CONFIGURE_ARGS--

--CONFIGURE_ENV--
TMPDIR="/tmp" TMPDIR="/tmp" SHELL=/bin/sh CONFIG_SHELL=/bin/sh
--End CONFIGURE_ENV--

--MAKE_ENV--
TMPDIR="/tmp" TMPDIR="/tmp" SHELL=/bin/sh NO_LINT=YES 
ADDR2LINE="/usr/local/bin/addr2line" AR="/usr/local/bin/ar" 
AS="/usr/local/bin/as" CPPFILT="/usr/local/bin/c++filt" 
GPROF="/usr/local/bin/gprof" LD="/usr/local/bin/ld" NM="/usr/local/bin/nm" 
OBJCOPY="/usr/local/bin/objcopy" OBJDUMP="/usr/local/bin/objdump" 
RANLIB="/usr/local/bin/ranlib" READELF="/usr/local/bin/readelf" 
SIZE="/usr/local/bin/size" STRINGS="/usr/local/bin/strings" PREFIX=/usr/local  
LOCALBASE=/usr/local  LIBDIR="/usr/lib"  CC="gcc46" CFLAGS="-O2 -pipe 
-I/usr/local/include -Wl,-rpath=/usr/local/lib/gcc46 -fno-strict-aliasing"  
CPP="cpp46" CPPFLAGS="-I/usr/local/include"  LDFLAGS=" -L/usr/local/lib 
-Wl,-rpath=/usr/local/lib/gcc46 -L/usr/local/lib/gcc46"  CXX="g++46" 
CXXFLAGS="-O2 -pipe -I/usr/local/include -Wl,-rpath=/usr/local/lib/gcc46 
-fno-strict-aliasing -Wl,-rpath=/usr/local/lib/gcc46"  MANPREFIX="/usr/local" 
BSD_INSTALL_PROGRAM="install  -s -o root -g wheel -m 555"  
BSD_INSTALL_LIB="install  -s -o root -g wheel -
 m 444"  BSD_INSTALL_SCRIPT="install  -o root -g wheel -m 555"  
BSD_INSTALL_DATA="install  -o root -g wheel -m 444"  BSD_INSTALL_MAN="install  
-o root -g wheel -m 444"
--End MAKE_ENV--

--SUB_LIST--
PREFIX=/usr/local
LOCALBASE=/usr/local
DATADIR=/usr/local/share/cabal/ghc-7.6.3/happstack-server-7.1.7.1
DOCSDIR=/usr/local/share/doc/cabal/ghc-7.6.3/happstack-server-7.1.7.1
EXAMPLESDIR=/usr/local/share/examples/cabal/ghc-7.6.3/happstack-server-7.1.7.1
WWWDIR=/usr/local/www/happstack-server
ETCDIR=/usr/local/etc/happstack-server
--End SUB_LIST--

---Begin make.conf---
ARCH=i386
MACHINE=i386
MACHINE_ARCH=i386
USE_PACKAGE_DEPENDS=yes
BATCH=yes
WRKDIRPREFIX=/wrkdirs
PORTSDIR=/usr/ports
PACKAGES=/packages
DISTDIR=/distfiles
#### /usr/local/etc/poudriere.d/make.conf ####
WITH_PKGNG=yes
NO_RESTRICTED=yes
DISABLE_MAKE_JOBS=poudriere
---End make.conf---
===>  Cleaning for hs-happstack-server-7.1.7.1_1
=======================<phase: check-config   >============================
===========================================================================
=======================<phase: pkg-depends    >============================
===>   hs-happstack-server-7.1.7.1_1 depends on file: /usr/local/sbin/pkg - not 
found
===>    Verifying install for /usr/local/sbin/pkg in /usr/ports/ports-mgmt/pkg
===>   Installing existing package /packages/All/pkg-1.2.4_1.txz
Installing pkg-1.2.4_1... done
If you are upgrading from the old package format, first run:

  # pkg2ng
===>   Returning to build of hs-happstack-server-7.1.7.1_1
===========================================================================
=======================<phase: fetch-depends  >============================
===========================================================================
=======================<phase: fetch          >============================
===>  License BSD accepted by the user
===> Fetching all distfiles required by hs-happstack-server-7.1.7.1_1 for 
building
===========================================================================
=======================<phase: checksum       >============================
===>  License BSD accepted by the user
===> Fetching all distfiles required by hs-happstack-server-7.1.7.1_1 for 
building
=> SHA256 Checksum OK for cabal/happstack-server-7.1.7.1.tar.gz.
===========================================================================
=======================<phase: extract-depends>============================
===========================================================================
=======================<phase: extract        >============================
===>  License BSD accepted by the user
===> Fetching all distfiles required by hs-happstack-server-7.1.7.1_1 for 
building
===>  Extracting for hs-happstack-server-7.1.7.1_1
=> SHA256 Checksum OK for cabal/happstack-server-7.1.7.1.tar.gz.
===========================================================================
=======================<phase: patch-depends  >============================
===========================================================================
=======================<phase: patch          >============================
===>  Patching for hs-happstack-server-7.1.7.1_1
===========================================================================
=======================<phase: build-depends  >============================
===>   hs-happstack-server-7.1.7.1_1 depends on executable: ghc - not found
===>    Verifying install for ghc in /usr/ports/lang/ghc
===>   Installing existing package /packages/All/ghc-7.6.3_1.txz
Installing ghc-7.6.3_1...Installing mpfr-3.1.2...Installing gmp-5.1.3... done
 done
Installing mpc-1.0.1... done
Installing gcc-ecj-4.5... done
Installing gcc-4.6.4...Installing binutils-2.23.2...Installing 
gettext-0.18.3.1... done
 done
 done
Installing libffi-3.0.13... done
 done
===>   Returning to build of hs-happstack-server-7.1.7.1_1
===>   hs-happstack-server-7.1.7.1_1 depends on package: ghc>=7.6.3 - found
===>   hs-happstack-server-7.1.7.1_1 depends on package: 
hs-base64-bytestring>=0 - not found
===>    Verifying install for hs-base64-bytestring>=0 in 
/usr/ports/devel/hs-base64-bytestring
===>   Installing existing package 
/packages/All/hs-base64-bytestring-1.0.0.1_2.txz
Installing hs-base64-bytestring-1.0.0.1_2...Reading package info from stdin ... 
done.
 done
===>   Returning to build of hs-happstack-server-7.1.7.1_1
===>   hs-happstack-server-7.1.7.1_1 depends on package: hs-blaze-html>=0.5 - 
not found
===>    Verifying install for hs-blaze-html>=0.5 in 
/usr/ports/textproc/hs-blaze-html
===>   Installing existing package /packages/All/hs-blaze-html-0.6.1.1_1.txz
Installing hs-blaze-html-0.6.1.1_1...Installing 
hs-blaze-markup-0.5.1.5_1...Installing hs-text-0.11.3.1_1...Reading package 
info from stdin ... done.
 done
Installing hs-blaze-builder-0.3.1.1_1...Reading package info from stdin ... 
done.
 done
Reading package info from stdin ... done.
 done
Reading package info from stdin ... done.
 done
===>   Returning to build of hs-happstack-server-7.1.7.1_1
===>   hs-happstack-server-7.1.7.1_1 depends on package: 
hs-extensible-exceptions>=0 - not found
===>    Verifying install for hs-extensible-exceptions>=0 in 
/usr/ports/devel/hs-extensible-exceptions
===>   Installing existing package 
/packages/All/hs-extensible-exceptions-0.1.1.4_1.txz
Installing hs-extensible-exceptions-0.1.1.4_1...Reading package info from stdin 
... done.
 done
===>   Returning to build of hs-happstack-server-7.1.7.1_1
===>   hs-happstack-server-7.1.7.1_1 depends on package: hs-hslogger>=1.0.2 - 
not found
===>    Verifying install for hs-hslogger>=1.0.2 in /usr/ports/devel/hs-hslogger
===>   Installing existing package /packages/All/hs-hslogger-1.2.1_3.txz
Installing hs-hslogger-1.2.1_3...Installing hs-parsec-3.1.3_3...Installing 
hs-transformers-0.3.0.0_5...Reading package info from stdin ... done.
 done
Installing hs-mtl-2.1.2_3...Reading package info from stdin ... done.
 done
Reading package info from stdin ... done.
 done
Installing hs-network-2.4.1.2_1...Reading package info from stdin ... done.
 done
WARNING: cache is out of date: 
/usr/local/lib/ghc-7.6.3/package.conf.d/package.cache
  use 'ghc-pkg recache' to fix.
Reading package info from stdin ... done.
 done
===>   Returning to build of hs-happstack-server-7.1.7.1_1
===>   hs-happstack-server-7.1.7.1_1 depends on package: hs-html>=0 - not found
===>    Verifying install for hs-html>=0 in /usr/ports/textproc/hs-html
===>   Installing existing package /packages/All/hs-html-1.0.1.2_8.txz
Installing hs-html-1.0.1.2_8...Reading package info from stdin ... done.
 done
===>   Returning to build of hs-happstack-server-7.1.7.1_1
===>   hs-happstack-server-7.1.7.1_1 depends on package: hs-monad-control>=0.3 
- not found
===>    Verifying install for hs-monad-control>=0.3 in 
/usr/ports/devel/hs-monad-control
===>   Installing existing package /packages/All/hs-monad-control-0.3.2.1_1.txz
Installing hs-monad-control-0.3.2.1_1...Installing 
hs-transformers-base-0.4.1_6...Reading package info from stdin ... done.
 done
Installing hs-base-unicode-symbols-0.2.2.4_3...WARNING: cache is out of date: 
/usr/local/lib/ghc-7.6.3/package.conf.d/package.cache
  use 'ghc-pkg recache' to fix.
Reading package info from stdin ... done.
 done
Reading package info from stdin ... done.
 done
===>   Returning to build of hs-happstack-server-7.1.7.1_1
===>   hs-happstack-server-7.1.7.1_1 depends on package: hs-mtl>=2 - found
===>   hs-happstack-server-7.1.7.1_1 depends on package: hs-network>=2.2.3 - 
found
===>   hs-happstack-server-7.1.7.1_1 depends on package: hs-parsec>=0 - found
===>   hs-happstack-server-7.1.7.1_1 depends on package: hs-sendfile>=0.7.1 - 
not found
===>    Verifying install for hs-sendfile>=0.7.1 in /usr/ports/net/hs-sendfile
===>   Installing existing package /packages/All/hs-sendfile-0.7.9_2.txz
Installing hs-sendfile-0.7.9_2...WARNING: cache is out of date: 
/usr/local/lib/ghc-7.6.3/package.conf.d/package.cache
  use 'ghc-pkg recache' to fix.
Reading package info from stdin ... done.
 done
===>   Returning to build of hs-happstack-server-7.1.7.1_1
===>   hs-happstack-server-7.1.7.1_1 depends on package: hs-syb>=0 - not found
===>    Verifying install for hs-syb>=0 in /usr/ports/devel/hs-syb
===>   Installing existing package /packages/All/hs-syb-0.4.0_1.txz
Installing hs-syb-0.4.0_1...WARNING: cache is out of date: 
/usr/local/lib/ghc-7.6.3/package.conf.d/package.cache
  use 'ghc-pkg recache' to fix.
Reading package info from stdin ... done.
 done
===>   Returning to build of hs-happstack-server-7.1.7.1_1
===>   hs-happstack-server-7.1.7.1_1 depends on package: 
hs-system-filepath>=0.3.1 - not found
===>    Verifying install for hs-system-filepath>=0.3.1 in 
/usr/ports/devel/hs-system-filepath
===>   Installing existing package /packages/All/hs-system-filepath-0.4.7_3.txz
Installing hs-system-filepath-0.4.7_3...Reading package info from stdin ... 
done.
 done
===>   Returning to build of hs-happstack-server-7.1.7.1_1
===>   hs-happstack-server-7.1.7.1_1 depends on package: hs-text>=0.10 - found
===>   hs-happstack-server-7.1.7.1_1 depends on package: hs-threads>=0.5 - not 
found
===>    Verifying install for hs-threads>=0.5 in /usr/ports/devel/hs-threads
===>   Installing existing package /packages/All/hs-threads-0.5.0.2_2.txz
Installing hs-threads-0.5.0.2_2...Installing hs-stm-2.4.2_1...Reading package 
info from stdin ... done.
 done
WARNING: cache is out of date: 
/usr/local/lib/ghc-7.6.3/package.conf.d/package.cache
  use 'ghc-pkg recache' to fix.
Reading package info from stdin ... done.
 done
===>   Returning to build of hs-happstack-server-7.1.7.1_1
===>   hs-happstack-server-7.1.7.1_1 depends on package: hs-time-compat>=0 - 
not found
===>    Verifying install for hs-time-compat>=0 in 
/usr/ports/devel/hs-time-compat
===>   Installing existing package /packages/All/hs-time-compat-0.1.0.3_2.txz
Installing hs-time-compat-0.1.0.3_2...WARNING: cache is out of date: 
/usr/local/lib/ghc-7.6.3/package.conf.d/package.cache
  use 'ghc-pkg recache' to fix.
Reading package info from stdin ... done.
 done
===>   Returning to build of hs-happstack-server-7.1.7.1_1
===>   hs-happstack-server-7.1.7.1_1 depends on package: hs-transformers>=0.1.3 
- found
===>   hs-happstack-server-7.1.7.1_1 depends on package: 
hs-transformers-base>=0.4 - found
===>   hs-happstack-server-7.1.7.1_1 depends on package: hs-utf8-string>=0.3.4 
- not found
===>    Verifying install for hs-utf8-string>=0.3.4 in 
/usr/ports/devel/hs-utf8-string
===>   Installing existing package /packages/All/hs-utf8-string-0.3.7_6.txz
Installing hs-utf8-string-0.3.7_6...Reading package info from stdin ... done.
 done
===>   Returning to build of hs-happstack-server-7.1.7.1_1
===>   hs-happstack-server-7.1.7.1_1 depends on package: hs-xhtml>=0 - not found
===>    Verifying install for hs-xhtml>=0 in /usr/ports/textproc/hs-xhtml
===>   Installing existing package /packages/All/hs-xhtml-3000.2.1_5.txz
Installing hs-xhtml-3000.2.1_5...Reading package info from stdin ... done.
 done
===>   Returning to build of hs-happstack-server-7.1.7.1_1
===>   hs-happstack-server-7.1.7.1_1 depends on package: hs-zlib>=0 - not found
===>    Verifying install for hs-zlib>=0 in /usr/ports/archivers/hs-zlib
===>   Installing existing package /packages/All/hs-zlib-0.5.4.1_1.txz
Installing hs-zlib-0.5.4.1_1...Reading package info from stdin ... done.
 done
===>   Returning to build of hs-happstack-server-7.1.7.1_1
===>   hs-happstack-server-7.1.7.1_1 depends on executable: gcc46 - found
===>   hs-happstack-server-7.1.7.1_1 depends on file: /usr/local/bin/as - found
===========================================================================
=======================<phase: lib-depends    >============================
===========================================================================
=======================<phase: configure      >============================
===>  Configuring for hs-happstack-server-7.1.7.1_1
[1 of 1] Compiling Main             ( Setup.hs, Setup.o )
Linking ./setup ...
Configuring happstack-server-7.1.7.1...
===========================================================================
=======================<phase: build          >============================
===>  Building for hs-happstack-server-7.1.7.1_1
Building happstack-server-7.1.7.1...
Preprocessing library happstack-server-7.1.7.1...
[ 1 of 38] Compiling Happstack.Server.Internal.LazyLiner ( 
src/Happstack/Server/Internal/LazyLiner.hs, 
dist/build/Happstack/Server/Internal/LazyLiner.o )
[ 2 of 38] Compiling Happstack.Server.Internal.SocketTH ( 
src/Happstack/Server/Internal/SocketTH.hs, 
dist/build/Happstack/Server/Internal/SocketTH.o )
Loading package ghc-prim ... linking ... done.
Loading package integer-gmp ... linking ... done.
Loading package base ... linking ... ghc: 
/usr/local/lib/ghc-7.6.3/base-4.6.0.1/HSbase-4.6.0.1.o: unknown symbol 
`iconv_open'
ghc: unable to load package `base'
*** Error code 1

Stop.
make: stopped in /usr/ports/www/hs-happstack-server
===>  Cleaning for hs-happstack-server-7.1.7.1_1
_______________________________________________
freebsd-pkg-fallout@freebsd.org mailing list
https://lists.freebsd.org/mailman/listinfo/freebsd-pkg-fallout
To unsubscribe, send any mail to "freebsd-pkg-fallout-unsubscr...@freebsd.org"

Reply via email to